%global cpan_version 2.98
Name:           perl-Encode
Epoch:          4
Version:        %{cpan_version}
Release:        8
Summary:        Character encodings in Perl
License:        (GPL+ or Artistic) and Artistic 2.0 and UCD
URL:            https://metacpan.org/release/Encode
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DANKOGAI/Encode-%{cpan_version}.tar.gz
BuildRequires:  findutils gcc make perl-devel perl-generators perl-interpreter perl(Config) perl(ExtUtils::MakeMaker) perl(File::Spec) perl(File::Spec::Functions) perl(strict) perl(warnings)
BuildRequires:  perl(bytes) perl(Carp) perl(constant) perl(Exporter) perl(File::Basename) perl(File::Find) perl(Filter::Util::Call) perl(Getopt::Long) perl(Getopt::Std)
BuildRequires:  perl(MIME::Base64) perl(overload) perl(parent) perl(re) perl(Storable) perl(utf8) perl(vars) perl(XSLoader)

BuildRequires:  perl(charnames) perl(File::Compare) perl(File::Copy) perl(FileHandle) perl(FindBin) perl(IO::Select) perl(IPC::Open3)
BuildRequires:  perl(lib) perl(open) perl(Scalar::Util) perl(Symbol) perl(Test::More) perl(Tie::Scalar)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(parent) >= 0.221

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\((Encode::ConfigLocal|MY)\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Exporter|parent)\\)$

%description
The Encode module provides the interface between Perl strings and the rest
of the system. Perl strings are sequences of characters.

%package devel
Summary:        Perl Encode Module Generator
Version:        %{cpan_version}
License:        (GPL+ or Artistic) and UCD
Requires:       %{name}%{?_isa} = %{epoch}:%{cpan_version}-%{release} perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Recommends:     perl-devel%{?_isa}
Requires:       perl(Encode) perl(Carp) perl(Filter::Util::Call)
Suggests:       perl(PerlIO::encoding)
Requires:       perl(utf8)
Conflicts:      perl-Encode < 2:2.64-2
Provides:       perl-encoding
Obsoletes:      perl-encoding

%description devel
enc2xs builds a Perl extension for use by Encode from either Unicode Character
Mapping files (.ucm) or Tcl Encoding Files (.enc). You can use enc2xs to add
your own encoding to perl. No knowledge of XS is necessary.

With the encoding pragma, you can write your Perl script in any encoding you
like (so long as the Encode module supports it) and still enjoy Unicode
support.

However, this encoding module is deprecated under perl 5.18. It uses
a mechanism provided by perl that is deprecated under 5.18 and higher, and may
be removed in a future version.

The easiest and the best alternative is to write your script in UTF-8.

%package_help

%prep
%setup -q -n Encode-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc AUTHORS Changes README
%{_bindir}/encguess
%{_bindir}/piconv
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Encode*
%exclude %{perl_vendorarch}/Encode/*.e2x
%exclude %{perl_vendorarch}/Encode/encode.h

%files devel
%doc AUTHORS Changes README
%{_bindir}/enc2xs
%{perl_vendorarch}/Encode/*.e2x
%{perl_vendorarch}/Encode/encode.h
%{perl_vendorarch}/encoding.pm

%files help
%{_mandir}/man1/enc2xs.*
%{_mandir}/man1/encguess.*
%{_mandir}/man1/piconv.*
%{_mandir}/man3/encoding.*
%{_mandir}/man3/Encode.*
%{_mandir}/man3/Encode::*

%changelog
* Sun Sep 29 2019 yefei <yefei25@huawei.com> - 4:2.98-8
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete irrelevant comment

* Thu Sep 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 4:2.98-7
- Package init
